/**Begin D:\04tools\PDM_UPGRADE\PDM1\HRCS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRCS_SIGNFILE') 
 CREATE TABLE T_HRCS_SIGNFILE (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(60) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FCLOUD VARCHAR(60) DEFAULT ' ' NOT NULL,
FBUSINESSTYPE VARCHAR(60) DEFAULT ' ' NOT NULL,
FBUSINESSID VARCHAR(60) DEFAULT ' ' NOT NULL,
FSIGNCONFIGID BIGINT DEFAULT 0 NOT NULL,
FAPPNUM VARCHAR(60) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRCS_SIGNFLOW') 
 CREATE TABLE T_HRCS_SIGNFLOW (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(60) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FSIGNFILEID BIGINT DEFAULT 0 NOT NULL,
FTEMPLATETYPEID BIGINT DEFAULT 0 NOT NULL,
FECONTTMPID BIGINT DEFAULT 0 NOT NULL,
FSIGNCONFIGID BIGINT DEFAULT 0 NOT NULL,
FSIGNSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRCS_SIGNFILEEXT') 
 CREATE TABLE T_HRCS_SIGNFILEEXT (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FKEY VARCHAR(60) DEFAULT ' ' NOT NULL,
FVALUE NCLOB,
FVALUE_TAG VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRCS_SIGNFLOWEXT') 
 CREATE TABLE T_HRCS_SIGNFLOWEXT (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FKEY VARCHAR(60) DEFAULT ' ' NOT NULL,
FVALUE NCLOB,
FVALUE_TAG VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRCS_SIGNFLOWPSN') 
 CREATE TABLE T_HRCS_SIGNFLOWPSN (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FNATURALID BIGINT DEFAULT 0 NOT NULL,
FCANDIDATEID BIGINT DEFAULT 0 NOT NULL,
FPERSONSIGNSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FPERSONMSG VARCHAR(500) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRCS_SIGNFLOWORG') 
 CREATE TABLE T_HRCS_SIGNFLOWORG (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FORGSIGNSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FORGMSG VARCHAR(500) DEFAULT ' ' NOT NULL
);



IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRCS_REALNAMEAUTHMODE')
 CREATE TABLE T_HRCS_REALNAMEAUTHMODE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT 'C' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(2) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRCS_REALNAMEAUTHMODE_L')
 CREATE TABLE T_HRCS_REALNAMEAUTHMODE_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRCS_ESIGNSPMGR')
 CREATE TABLE T_HRCS_ESIGNSPMGR (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT 'C' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(2) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRCS_ESIGNSPMGR_L')
 CREATE TABLE T_HRCS_ESIGNSPMGR_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRCS_ESIGNSPMGRENTRY')
 CREATE TABLE T_HRCS_ESIGNSPMGRENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FINTERFACE VARCHAR(500) DEFAULT ' ' NOT NULL,
FSRVNAME NVARCHAR(500) DEFAULT ' ' NOT NULL,
FPLUGIN VARCHAR(500) DEFAULT ' ' NOT NULL,
FMUSTFLAG CHAR(1) DEFAULT ' ' NOT NULL,
FSRVDESC NVARCHAR(1000) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRCS_ESIGNSPMGRENTRY_L')
 CREATE TABLE T_HRCS_ESIGNSPMGRENTRY_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FSRVNAME NVARCHAR(500) DEFAULT ' ' NOT NULL,
FSRVDESC NVARCHAR(1000) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRCS_ESIGNSPMGRENTRY2')
 CREATE TABLE T_HRCS_ESIGNSPMGRENTRY2 (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FBDESIGNAPPCFG BIGINT DEFAULT 0 NOT NULL,
FBASEDATAPROPFIELD VARCHAR(50) DEFAULT ' ' NOT NULL,
FBASEDATAPROPFIELD1 VARCHAR(50) DEFAULT ' ' NOT NULL,
FBASEDATAPROPFIELD2 VARCHAR(50) DEFAULT ' ' NOT NULL,
FBASEDATAPROPFIELD3 VARCHAR(50) DEFAULT ' ' NOT NULL,
FBASEDATAPROPFIELD4 VARCHAR(50) DEFAULT ' ' NOT NULL,
FENABLE1 VARCHAR(2) DEFAULT '1' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRCS_ESIGNAPPCFG')
 CREATE TABLE T_HRCS_ESIGNAPPCFG (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT 'C' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(2) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FCORPORATE BIGINT DEFAULT 0 NOT NULL,
FAPPID VARCHAR(100) DEFAULT ' ' NOT NULL,
FAPPSECRET VARCHAR(100) DEFAULT ' ' NOT NULL,
FSERVERURL VARCHAR(200) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRCS_ESIGNAPPCFG_L')
 CREATE TABLE T_HRCS_ESIGNAPPCFG_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRCS_ESIGNAPPCFGENTRY')
 CREATE TABLE T_HRCS_ESIGNAPPCFGENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FKEY VARCHAR(200) DEFAULT ' ' NOT NULL,
FVALUE VARCHAR(500) DEFAULT ' ' NOT NULL,
FDESC NVARCHAR(255) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRCS_ESIGNAPPCFGENTRY_L')
 CREATE TABLE T_HRCS_ESIGNAPPCFGENTRY_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESC NVARCHAR(255) DEFAULT ' ' NOT NULL
);



IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRCS_ESIGNPARMCFG')
 CREATE TABLE T_HRCS_ESIGNPARMCFG (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FESIGNSP BIGINT DEFAULT 0 NOT NULL,
FMAINDATAFLAG CHAR(1) DEFAULT '1' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRCS_ESIGNPARMCFGAM')
 CREATE TABLE T_HRCS_ESIGNPARMCFGAM (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRCS_ESIGNPARMCFGENTRY')
 CREATE TABLE T_HRCS_ESIGNPARMCFGENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FBDESIGNAPPCFG BIGINT DEFAULT 0 NOT NULL,
FBASEDATAPROPFIELD VARCHAR(50) DEFAULT ' ' NOT NULL,
FBASEDATAPROPFIELD1 VARCHAR(50) DEFAULT ' ' NOT NULL,
FBASEDATAPROPFIELD2 VARCHAR(50) DEFAULT ' ' NOT NULL,
FBASEDATAPROPFIELD3 VARCHAR(50) DEFAULT ' ' NOT NULL,
FBASEDATAPROPFIELD4 VARCHAR(50) DEFAULT ' ' NOT NULL,
FENABLE VARCHAR(2) DEFAULT '1' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRCS_ESIGNSEALTYPE')
 CREATE TABLE T_HRCS_ESIGNSEALTYPE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT 'C' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(2) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FRELBOSSEALTYPE BIGINT DEFAULT 0 NOT NULL,
FORINUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FORINAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FORISTATUS VARCHAR(2) DEFAULT 'C' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRCS_ESIGNSEALTYPE_L')
 CREATE TABLE T_HRCS_ESIGNSEALTYPE_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FORINAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRCS_ESIGNCOSEAL')
 CREATE TABLE T_HRCS_ESIGNCOSEAL (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT 'C' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(2) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FSEALSORT VARCHAR(50) DEFAULT ' ' NOT NULL,
FESIGNSP BIGINT DEFAULT 0 NOT NULL,
FSEALTYPE BIGINT DEFAULT 0 NOT NULL,
FSEALPIC VARCHAR(255) DEFAULT ' ' NOT NULL,
FSEALID VARCHAR(50) DEFAULT ' ' NOT NULL,
FCORPORATE BIGINT DEFAULT 0 NOT NULL,
FSEALSOURCE VARCHAR(50) DEFAULT ' ' NOT NULL,
FAUTHNUM INT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRCS_ESIGNCOSEAL_L')
 CREATE TABLE T_HRCS_ESIGNCOSEAL_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRCS_ESIGNCALLBACKFLOW')
 CREATE TABLE T_HRCS_ESIGNCALLBACKFLOW (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(60) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FCALLBACKKEY VARCHAR(200) DEFAULT ' ' NOT NULL,
FCALLBACKKEYDETAIL VARCHAR(500) DEFAULT ' ' NOT NULL,
FCALLBACKMSG VARCHAR(2000) DEFAULT ' ' NOT NULL,
FCALLBACKSTATUS CHAR(1) DEFAULT '0' NOT NULL,
FCALLBACKRESULT CHAR(1) DEFAULT ' ' NOT NULL,
FFAILMSG VARCHAR(500) DEFAULT ' ' NOT NULL,
FRELDATAID BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRCS_ESIGNSEALAUTH')
 CREATE TABLE T_HRCS_ESIGNSEALAUTH (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT 'C' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(2) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FAUTTYPE VARCHAR(2) DEFAULT '1' NOT NULL,
FAUTHCOMPANY BIGINT DEFAULT 0 NOT NULL,
FAUTHRANGE VARCHAR(2) DEFAULT '1' NOT NULL,
FSTARTTIME DATETIME,
FENDTIME DATETIME,
FSEAL BIGINT DEFAULT 0 NOT NULL,
FAUTHSTATUS VARCHAR(2) DEFAULT '0' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRCS_ESIGNSEALAUTH_L')
 CREATE TABLE T_HRCS_ESIGNSEALAUTH_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);
/**End D:\04tools\PDM_UPGRADE\PDM1\HRCS_table.sql **/
